# SIPSubscribe Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPSubscribe:

[legend]
Collaboration diagram for SIPSubscribe:
[legend]

## Public Types

| MessageSummary
| Presence
| Dialog
| Reg
| Conference
| NumPredefinedPackages
| Watcher = 0x8000
| MessageSummaryWatcher = Watcher|MessageSummary
| PresenceWatcher = Watcher|Presence
| DialogWatcher = Watcher|Dialog
| PackageMask = Watcher-1
enum | PredefinedPackages { MessageSummary, Presence, Dialog, Reg, Conference, NumPredefinedPackages, Watcher = 0x8000, MessageSummaryWatcher = Watcher|MessageSummary, PresenceWatcher = Watcher|Presence, DialogWatcher = Watcher|Dialog, PackageMask = Watcher-1 }

## Public Member Functions

| SIPSubscribe (SIPTransactionOwner &owner, OpalTransport &transport, SIPDialogContext &dialog, const Params &params)
virtual SIPTransaction * | CreateDuplicate () const

## Friends

PredefinedPackages | operator| (PredefinedPackages p1, PredefinedPackages p2)

## Data Structures

class | EventPackage
struct | NotifyCallbackInfo
struct | Params
struct | SubscriptionStatus

## Member Enumeration Documentation

enum SIPSubscribe::PredefinedPackages

Valid types for an event package

Enumerator:

  MessageSummary |
  Presence |
  Dialog |
  Reg |
  Conference |
  NumPredefinedPackages |
  Watcher |
  MessageSummaryWatcher |
  PresenceWatcher |
  DialogWatcher |
  PackageMask |

## Constructor & Destructor Documentation

SIPSubscribe::SIPSubscribe | ( | SIPTransactionOwner & | owner,
|  | OpalTransport & | transport,
|  | SIPDialogContext & | dialog,
|  | const Params & | params |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPSubscribe::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

## Friends And Related Function Documentation

PredefinedPackages operator| | ( | PredefinedPackages | p1,
|  | PredefinedPackages | p2 |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- sippdu.h